<template>
  <d-col class="form-group">
      <b-form-checkbox id="collectionAccount"  v-model="checkedCollectionAccount">
        <label for="collectionAccount">I agree to the <router-link to="/conditions">terms and conditions</router-link></label>
        <p v-for="error in errors" :key="error.id" class="error-message">{{error}}</p>
      </b-form-checkbox>
  </d-col>
</template>

<script>
export default {
  data() {
    return {
      checkedCollectionAccount: null,
    };
  },
  props: ['data', 'errors', 'inputId', 'input'],
  watch: {
    checkedCollectionAccount() {
      this.$emit('input').input(this.checkedCollectionAccount, this.inputId);
    },
  },
  mounted() {
    if (this.value === undefined) {
      this.checkedCollectionAccount = false;
      return;
    }
    this.checkedCollectionAccount = this.value;
  },
};
</script>
